Creates a new item

Request Information

URI Parameters :

None.

Body Parameters :

db_info_field_property
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
db_info_field_id

Foreign key to db_info_field

globally unique identifier

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field_name

Embedded entity "db_info_field" using ERP PK when adding/updating db_info_field_property

string

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field

Embedded entity "db_info_field" when adding/updating db_info_field_property

db_info_field

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

name

Item.DisplayText, value that will be shown on the UI

string

Required

Max length: 50

value

Value of the db_info_property.Store there your ERP PK

string

Required

Max length: 50

sequence

Sorting field (0 first), to order them

integer
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "2f1923e8-4ccd-4e12-a95f-9fb9d85cd45b",
  "db_info_field_id": "c05082a5-ee1f-4c48-b6c7-48ff9cb2c83a",
  "db_info_field_name": "sample string 3",
  "name": "sample string 4",
  "value": "sample string 5",
  "sequence": 6,
  "modified_dateutc": "2026-06-12T07:16:39.8999732+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.